Bug 627024 - Review Request: perl-CSS-DOM - Document Object Model for Cascading Style Sheets
Summary: Review Request: perl-CSS-DOM - Document Object Model for Cascading Style Sheets
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 627032
TreeView+ depends on / blocked
 
Reported: 2010-08-24 21:37 UTC by Ville Skyttä
Modified: 2010-09-09 04:37 UTC (History)
4 users (show)

Fixed In Version: perl-CSS-DOM-0.13-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 04:37:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2010-08-24 21:37:33 UTC
http://scop.fedorapeople.org/packages/perl-CSS-DOM.spec
http://scop.fedorapeople.org/packages/perl-CSS-DOM-0.13-1.fc13.src.rpm

This set of modules provides the CSS-specific interfaces described in
the W3C DOM recommendation.

Comment 1 Pavel Alexeev 2010-08-26 11:39:24 UTC
Legend:
+ - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.

MUST Items
[+] MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint *.rpm *.spec
perl-CSS-DOM.src: E: unknown-key (MD5
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

It is because GPG sign, so may be safely ignored.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[=] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[]+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum CSS-DOM-0.13.tar.gz CSS-DOM-0.13.tar.gz_RPM
6e0668adcdaf2231092e522a92d4a296  CSS-DOM-0.13.tar.gz
6e0668adcdaf2231092e522a92d4a296  CSS-DOM-0.13.tar.gz_RPM

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2428316

[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[-] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

META.yml in tarball mentioned also next perl modules which is not pulled automatically by RPM:
Encode: 2.1

[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[-] MUST: Each package must consistently use macros.

You are using mix of %{__perl} macros and many of plain commands like make, rm, find. Please choose one form. I think easy replace macros by plain call to perl.

[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[=] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[=] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Please consider ask upstream to include it.

[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[=] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Package almost fine, please fix minor issues and I'll approve it.

Comment 2 Ville Skyttä 2010-08-26 16:48:53 UTC
http://scop.fedorapeople.org/packages/perl-CSS-DOM.spec
http://scop.fedorapeople.org/packages/perl-CSS-DOM-0.13-2.fc13.src.rpm
* Thu Aug 26 2010 Ville Skyttä <ville.skytta@iki.fi> - 0.13-2
- Add explicit dependency on perl(Encode), not detected automatically.

About license text:
https://rt.cpan.org/Public/Bug/Display.html?id=60770

I'm not going to use "perl" instead of "%{__perl}" nor to convert other basic commands to macro form.  The way they're currently in the specfile is the way they're in the vast majority of perl packages in Fedora, and also in the rpmdevtools perl spec template (ditto python, php-pear etc) and that's also how cpanspec generates them.  Note also that /etc/rpm/macros.perl uses %{__perl}.

Comment 3 Terje Røsten 2010-08-29 07:23:27 UTC
> You are using mix of %{__perl} macros and many of plain commands like make, rm,
> find. Please choose one form. I think easy replace macros by plain call to
> perl.

This have been discussed before, it's okay to mix %{__foo} and shell commands.
In fact is very usefull e.g. when shipping python and python3 packages, and perl and perl6 packages in the future.

However, it's not good style to mix e.g. cp and %{__cp} or rm and %{__mkdir}.

Then the last rule: if in doubt let the packager decide.

Comment 4 Pavel Alexeev 2010-08-30 09:59:59 UTC
Ok. I have asked in maillist by this issue. There no solution, but most say it is not issue. In any case it is not stop issue.

Package APPROVED. Good luck.

Comment 5 Ville Skyttä 2010-08-30 15:13:58 UTC
New Package SCM Request
=======================
Package Name: perl-CSS-DOM
Short Description: Document Object Model for Cascading Style Sheets
Owners: scop
Branches: f14
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2010-08-30 17:36:58 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-08-31 06:04:17 UTC
perl-CSS-DOM-0.13-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-CSS-DOM-0.13-2.fc14

Comment 8 Fedora Update System 2010-08-31 20:19:29 UTC
perl-CSS-DOM-0.13-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CSS-DOM'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-CSS-DOM-0.13-2.fc14

Comment 9 Fedora Update System 2010-09-09 04:37:17 UTC
perl-CSS-DOM-0.13-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.